# boost::numeric::ublas::static_matrix_move_manip< I, J > Class Template Reference

A static move matrix index manipulator. More...

Inherits index_manipulator< static_matrix_move_manip< I, J > >.

List of all members.

## Public Member Functions

template<typename V , typename K >
BOOST_UBLAS_INLINE void | manip (V &k, K &l) const

## Detailed Description

### template<std::size_t I, std::size_t J>
class boost::numeric::ublas::static_matrix_move_manip< I, J >

When member function traverse is called the manipulator's index will be added to the referenced' index.

See also:
  move()